/***                               WINDCHILL                            ***/


                               /* written 12-90 */
                                     /* by */
                              /* Mendel Cooper */
                            /* 3138 Foster Ave. */
                          /* Baltimore, MD 21224 */



int calculate_windchill (temp, wind_vel)

int temp, wind_vel;

{
extern double sqrt();
double cf;
int c_temp;


cf = .0817 * (3.71 * sqrt((double)wind_vel) + 5.81 - .25*(double)wind_vel) * 
((double)temp - 91.4) + 91.4; 



if (cf >= 0)
    cf += .5 ;
       else
         cf -= .5 ;


c_temp = cf ;

if (wind_vel == 0) c_temp = temp;

return (c_temp);
}

/************adjust windspeed**********/
int adjust_windspeed (windspeed)
 
int windspeed;
{

if (windspeed > 40)
   { windspeed = 40;
     printf("\nLittle additional affect above 40 mph...\n"); }

if (windspeed > 0 && windspeed < 5)
   { if (windspeed < 3) windspeed = 0;
        else windspeed = 5; }

 return (windspeed);
}

/*******************************Display Results****************************/

void display_results(windchill, windspeed, temperature)

int windchill, windspeed, temperature;

{
if (windspeed < 0 || temperature > 50)
   printf("OUT OF RANGE");

else {

printf("\n\nThe windchill is %d.",windchill);

if (windchill < -29)
printf("\n\333\333\333 FROSTBITE DANGER! \333\333\333");
     }

return;
}


/***************************************************************************/

main()

{
int temperature, windspeed, windchill, calculate_windchill();

clrscrn();  /* clears the screen, may be different for your compiler */

printf("Enter the temperature (F\370)  ");

scanf("%d",&temperature);

printf("\nEnter the wind speed (mph)  ");

scanf("%d",&windspeed);


adjust_windspeed(windspeed);


windchill = calculate_windchill (temperature , windspeed);

display_results(windchill,windspeed,temperature);

}
